summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAndrew Grimberg <agrimberg@linuxfoundation.org>2015-11-23 08:48:17 -0800
committerAndrew Grimberg <agrimberg@linuxfoundation.org>2015-11-23 08:48:17 -0800
commit21e6159d981bc45301b3727423336d08a49fe53f (patch)
treef3507a6d9a7aeaddad15d5baeb2d25c76f9a64d2 /scripts
parent883d77c5c804b0f1e9f1370c89f8fe38672188b5 (diff)
Initial JJB self-hosting job definitions
These are the base definitions for having Jenkins validate and merge the JJB jobs that manage the Jenkins instance. Change-Id: Ic028248bc6cacb86d4db8c1e0f5f924640892c99 Signed-off-by: Andrew Grimberg <agrimberg@linuxfoundation.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/check-unicode.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/scripts/check-unicode.sh b/scripts/check-unicode.sh
new file mode 100755
index 00000000..db45f6ac
--- /dev/null
+++ b/scripts/check-unicode.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# @License EPL-1.0 <http://spdx.org/licenses/EPL-1.0>
+##############################################################################
+# Copyright (c) 2015 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+#
+# Contributors:
+# Thanh Ha (The Linux Foundation) - Initial implementation
+##############################################################################
+
+directory="."
+if [ ! -z "$1" ]; then
+ directory="$1"
+fi
+
+echo "Scanning $directory"
+for x in $(find $directory -type f); do
+ if LC_ALL=C grep -q '[^[:print:][:space:]]' "$x"; then
+ echo "file "$x" contains non-ascii characters"
+ exit 1
+ fi
+done
+
+echo "All files are ASCII only"